SimpleElementVisitorPreview (Java SE 25 & JDK 25)
Description: declaration: module: java.compiler, package: javax.lang.model.util, class: SimpleElementVisitorPreview
Keywords: javax.lang.model.util.SimpleElementVisitorPreview class

# Class SimpleElementVisitorPreview<R,P>

java.lang.Object
javax.lang.model.util.AbstractElementVisitor6<R,P>
javax.lang.model.util.SimpleElementVisitor6<R,P>
javax.lang.model.util.SimpleElementVisitor7<R,P>
javax.lang.model.util.SimpleElementVisitor8<R,P>
javax.lang.model.util.SimpleElementVisitor9<R,P>
javax.lang.model.util.SimpleElementVisitor14<R,P>
javax.lang.model.util.SimpleElementVisitorPreview<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods. Use `Void` for visitors that do not need to return results.
  `P` - the type of the additional parameter to this visitor's methods. Use `Void` for visitors that do not need an additional parameter.

All Implemented Interfaces:
  `ElementVisitor<R,P>`

@SupportedSourceVersion(RELEASE_25) public class SimpleElementVisitorPreview<R,P> extends SimpleElementVisitor14<R,P>
`SimpleElementVisitorPreview` is a reflective preview API of the Java platform.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
A simple visitor of program elements with default behavior appropriate for a preview source version. Visit methods corresponding to `RELEASE_14` and earlier language constructs call `defaultAction`, passing their arguments to `defaultAction`'s corresponding parameters.

API Note:
  Methods in this class may be overridden subject to their general contract.
Since:
  23
See Also:
  - Expected visitor evolution
  - Compatibility note for subclasses
  - `SimpleElementVisitor6`
  - `SimpleElementVisitor7`
  - `SimpleElementVisitor8`
  - `SimpleElementVisitor9`
  - `SimpleElementVisitor14`

- ## Field Summary

  ### Fields declared in class SimpleElementVisitor6

  `DEFAULT_VALUE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SimpleElementVisitorPreview()`
  Constructor for concrete subclasses; uses `null` for the default value.
  `protected`
  `SimpleElementVisitorPreview(R defaultValue)`
  Constructor for concrete subclasses; uses the argument for the default value.

- ## Method Summary

  ### Methods declared in class SimpleElementVisitor14

  `visitRecordComponent`

  ### Methods declared in class SimpleElementVisitor9

  `visitModule`

  ### Methods declared in class SimpleElementVisitor7

  `visitVariable`

  ### Methods declared in class SimpleElementVisitor6

  `defaultAction, visitExecutable, visitPackage, visitType, visitTypeParameter`

  ### Methods declared in class AbstractElementVisitor6

  `visit, visit, visitUnknown`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleElementVisitorPreview

    protected SimpleElementVisitorPreview()
    Constructor for concrete subclasses; uses `null` for the default value.

  - ### SimpleElementVisitorPreview

    protected SimpleElementVisitorPreview(R defaultValue)
    Constructor for concrete subclasses; uses the argument for the default value.
    Parameters:
      `defaultValue` - the value to assign to `SimpleElementVisitor6.DEFAULT_VALUE`